### Method

# Gtk.PrintJob.get_page_ranges

#### Declaration [src]

    GtkPageRange*
    gtk_print_job_get_page_ranges (
      GtkPrintJob* job,
      int* n_ranges
    )

#### Description [src]

Gets the page ranges for this job.

#### Parameters

`n_ranges` | `int*`
| return location for the number of ranges
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `GtkPageRange`
a pointer to an array of `GtkPageRange` structs
| The length of the array is in the `n_ranges` argument
Ownership is not transferred to the caller